Clear the API key cache

  • POST /_security/api_key/{ids}/_clear_cache
Auth

Evict a subset of all entries from the API key cache. The cache is also automatically cleared on state changes of the security index.

Required privileges

Cluster privileges manage_security

Path parameters

ids union string | string[] required

Comma-separated list of API key IDs to evict from the API key cache. To evict all API keys, use *. Does not support other wildcard patterns.

Response

application/json
_nodes object required
total number required

Total number of nodes selected by the request.

successful number required

Number of nodes that responded successfully to the request.

failed number required

Number of nodes that rejected the request or failed to respond. If this value is not 0, a reason for the rejection or failure is included in the response.

cluster_name string required
nodes map string to object required
<string> object
name string required